Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoIntersectingPrimitive Struct Reference

`#include <Inventor/collision/SoIntersectionDetectionAction.h>`

List of all members.

## Detailed Description

Struct with collision information.

This struct is passed to the collision callback registered by the application programmer. It contains information about which primitives are intersecting each other.

## Public Types
enum | PrimitiveType { SEGMENT = 2, LINE_SEGMENT = 2, TRIANGLE = 3 }
## Public Attributes
SoPath * | path
enum SoIntersectingPrimitive::PrimitiveType | type
SbVec3f | vertex [3]
SbVec3f | xf_vertex [3]

The documentation for this struct was generated from the following file:

- SoIntersectionDetectionAction.h